> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gmproxys.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dados Perfil

> Retorna as informações do usuário da Gm Proxys.

Retorna os dados do usuário associado à API Key, incluindo saldo disponível na carteira.

## Headers

<ParamField header="X-API-Key" type="string" required>
  Sua chave de API no formato `gm_SUA_CHAVE`.
</ParamField>

## Resposta

<ResponseField name="username" type="string">
  Nome de usuário da conta.
</ResponseField>

<ResponseField name="email" type="string">
  E-mail cadastrado na conta.
</ResponseField>

<ResponseField name="balance" type="number">
  Saldo disponível na sua carteira.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.gmproxys.com/v1/proffile \
    -H "X-API-Key: gm_SUA_CHAVE" \
    -H "Content-Type: application/json"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch("https://api.gmproxys.com/v1/proffile", {
    headers: {
      "X-API-Key": "gm_SUA_CHAVE",
      "Content-Type": "application/json",
    },
  });

  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.gmproxys.com/v1/proffile",
      headers={
          "X-API-Key": "gm_SUA_CHAVE",
          "Content-Type": "application/json",
      },
  )

  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "username": "BitXano",
    "email": "bitxano@gmproxys.com",
    "balance": 150.00
  }
  ```

  ```json 401 Token inválido theme={null}
  {
    "success": false,
    "message": "Invalid API token."
  }
  ```
</ResponseExample>
